<template>
  <div class="container">
    <div class="row nav">
      <div class="col-12 col-md-4">
        <router-link class="boton" :to="{ name: 'InicioPaises' }">
          Regresar
        </router-link>
      </div>
    </div>
    <div class="row formulario">
      <div class="col-12">
        <h1 class="titulo">Insertar país</h1>
      </div>
      <div class="col-12">
        <form action="POST" class="row g-3" @submit.prevent @submit="postData()">
          <div class="col-12 col-md-6 text-start">
            <label for="nombre" class="form-label">Nombre:</label>
            <input
                class="form-control"
                type="text"
                id="nombre"
                name="nombre"
                required
                v-model="pais.nombre"
            />
          </div>

          <div class="col-12 col-md-6 text-start">
            <label for="continente" class="form-label">Continente:</label>
            <input
                class="form-control"
                type="text"
                id="continente"
                name="continente"
                required
                v-model="pais.continente"
            />
          </div>

          <div class="col-12 col-md-6 text-start">
            <label for="capital" class="form-label">Capital:</label>
            <input
                class="form-control"
                type="text"
                id="capital"
                name="capital"
                required
                v-model="pais.capital"
            />
          </div>

          <div class="col-12 col-md-6 text-start">
            <label for="latitud" class="form-label">Latitud:</label>
            <input
                class="form-control"
                type="text"
                id="latitud"
                name="latitud"
                required
                v-model="pais.latitud"
            />
          </div>

          <div class="col-12 col-md-6 text-start">
            <label for="longitud" class="form-label">Longitud:</label>
            <input
                class="form-control"
                type="text"
                id="longitud"
                name="longitud"
                required
                v-model="pais.longitud"
            />
          </div>

          <div class="col-12 mt-5">
            <input type="submit" class="boton" value="Insertar">
          </div>

          <span class="mensaje">{{ mensaje }}</span>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  name: "InsertarPaises",
  data() {
    return {
      mensaje: "",
      pais: {
        id: 0,
        nombre: "",
        continente: "",
        capital: "",
        latitud: "",
        longitud: ""
      }
    }
  },
  methods: {
    postData: function() {
      axios.post("http://laboratorio10.test/api/countries",null,{params: this.pais})
        .then(response => response.data)
        .then(data => {
          if(data){
            this.mensaje = "El país con el id " + data.id + " fue agregado correctamente";
            this.pais = {
              id: 0,
              nombre: "",
              continente: "",
              capital: "",
              latitud: "",
              longitud: ""
            }
          } else {
             this.mensaje = "No se pudo agregar el país";
          }
        })
    }
  }
}
</script>

<style scoped>

</style>